# Visualization
TKService
Aspect

# Aspect_ColorPixel Class Reference

`#include <Aspect_ColorPixel.hxx>`

Inheritance diagram for Aspect_ColorPixel:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_ColorPixel ()
Standard_EXPORT | Aspect_ColorPixel (const Quantity_Color &aColor)
Standard_EXPORT const Quantity_Color & | Value () const
Standard_EXPORT void | SetValue (const Quantity_Color &aColor)
Standard_EXPORT void | Print (Standard_OStream &s) const
| Prints the contents of <me> on the stream <s> .
Standard_EXPORT Standard_Integer | HashCode (const Standard_Integer Upper) const
| Returns a hashed value denoting <me>. This value is in the range 1..<upper>. .
Standard_EXPORT Standard_Boolean | IsEqual (const Aspect_ColorPixel &Other) const
Standard_Boolean | operator== (const Aspect_ColorPixel &Other) const
Standard_EXPORT Standard_Boolean | IsNotEqual (const Aspect_ColorPixel &Other) const
Standard_Boolean | operator!= (const Aspect_ColorPixel &Other) const
const Quantity_Color & | _CSFDB_GetAspect_ColorPixelmyColor () const

## Private Attributes

Quantity_Color | myColor

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Aspect_ColorPixel_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_ColorPixel::Aspect_ColorPixel | ( |  | ) |

Standard_EXPORT Aspect_ColorPixel::Aspect_ColorPixel | ( | const Quantity_Color & | aColor | ) |

## Member Function Documentation

const Quantity_Color& Aspect_ColorPixel::_CSFDB_GetAspect_ColorPixelmyColor | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Integer Aspect_ColorPixel::HashCode | ( | const Standard_Integer | Upper | ) | const

Standard_EXPORT Standard_Boolean Aspect_ColorPixel::IsEqual | ( | const Aspect_ColorPixel & | Other | ) | const

Standard_EXPORT Standard_Boolean Aspect_ColorPixel::IsNotEqual | ( | const Aspect_ColorPixel & | Other | ) | const

void Aspect_ColorPixel::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Aspect_Pixel.

void* Aspect_ColorPixel::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Aspect_Pixel.

void* Aspect_ColorPixel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Aspect_Pixel.

Standard_Boolean Aspect_ColorPixel::operator!= | ( | const Aspect_ColorPixel & | Other | ) | const`[inline]`

Standard_Boolean Aspect_ColorPixel::operator== | ( | const Aspect_ColorPixel & | Other | ) | const`[inline]`

Standard_EXPORT void Aspect_ColorPixel::Print | ( | Standard_OStream & | s | ) | const`[virtual]`

| Implements Aspect_Pixel.

Standard_EXPORT void Aspect_ColorPixel::SetValue | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT const Quantity_Color& Aspect_ColorPixel::Value | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Aspect_ColorPixel_Type_ | ( |  | ) | `[friend]`

## Field Documentation

Quantity_Color Aspect_ColorPixel::myColor `[private]`

The documentation for this class was generated from the following file:

- Aspect_ColorPixel.hxx